Create contract obligation

View as Markdown

Authentication

Authorizationstring
API Key authentication via header

Path parameters

idstringRequired
Contract Id

Request

This endpoint expects an object.
serviceStartDatestringRequired
Revenue Start Date
serviceEndDatestringRequired
Revenue End Date
billingScheduleobjectRequired
Billing Schedule
categoryIdstringOptional
Category Id
discountobjectOptional

Discount configuration. Examples: { type: ‘FIXED’, amount: ‘5.00’ } for a $5.00 fixed discount, or { type: ‘PERCENTAGE’, amount: ‘0.10’ } for a 10% percentage discount

seatConfigobjectOptional

Seat-based obligation configuration

Response

The obligation
payloadobject
Response payload, will be empty when success is false
successboolean

Boolean with true=success, false=failure

messagestring

Plain-text description of the result

errorobjectOptional
json element with any error messages or warnings

Errors

400
Bad Request Error